Documentation Index
Fetch the complete documentation index at: https://turnkey-0e7c1f5b-ethan-captcha-protection.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API Key
WebAuthn (Passkey)
Cryptographically signed (stamped) request to be passed in as a header. For more info, see
here.
Cryptographically signed (stamped) request to be passed in as a header. For more info, see
here.
Body
Enum options: ACTIVITY_TYPE_CREATE_INVITATIONS
Timestamp (in milliseconds) of the request, used to verify liveness of user requests.
Unique identifier for a given Organization.
The parameters object containing the specific intent data for this activity.
A list of Invitations.
parameters.invitations.receiverUserName
The name of the intended Invitation recipient.
parameters.invitations.receiverUserEmail
The email address of the intended Invitation recipient.
parameters.invitations.receiverUserTags
A list of tags assigned to the Invitation recipient. This field, if not needed, should be an empty array in your request body.
Array item type: string
item field
parameters.invitations.accessType
Enum options: ACCESS_TYPE_WEB, ACCESS_TYPE_API, ACCESS_TYPE_ALL
parameters.invitations.senderUserId
Unique identifier for the Sender of an Invitation.
Enable to have your activity generate and return App Proofs, enabling verifiability.
Response
A successful response returns the following fields:
The activity object containing type, intent, and result
Unique identifier for a given Activity object.
Unique identifier for a given Organization.
The intent of the activity
activity.intent.createInvitationsIntent
The createInvitationsIntent objectShow createInvitationsIntent details
activity.intent.createInvitationsIntent.invitations
A list of Invitations.
activity.intent.createInvitationsIntent.invitations.receiverUserName
The name of the intended Invitation recipient.
activity.intent.createInvitationsIntent.invitations.receiverUserEmail
The email address of the intended Invitation recipient.
activity.intent.createInvitationsIntent.invitations.receiverUserTags
A list of tags assigned to the Invitation recipient. This field, if not needed, should be an empty array in your request body.Show receiverUserTags details
activity.intent.createInvitationsIntent.invitations.receiverUserTags.item
activity.intent.createInvitationsIntent.invitations.accessType
accessType fieldEnum options: ACCESS_TYPE_WEB, ACCESS_TYPE_API, ACCESS_TYPE_ALL
activity.intent.createInvitationsIntent.invitations.senderUserId
Unique identifier for the Sender of an Invitation.
The result of the activity
activity.result.createInvitationsResult
The createInvitationsResult objectShow createInvitationsResult details
activity.result.createInvitationsResult.invitationIds
A list of Invitation IDsShow invitationIds details
activity.result.createInvitationsResult.invitationIds.item
A list of objects representing a particular User’s approval or rejection of a Consensus request, including all relevant metadata.
An artifact verifying a User’s action.
Whether the activity can be approved.
Whether the activity can be rejected.
The last update timestamp.
curl --request POST \
--url https://api.turnkey.com/public/v1/submit/create_invitations \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header "X-Stamp: <string> (see Authorizations)" \
--data '{
"type": "ACTIVITY_TYPE_CREATE_INVITATIONS",
"timestampMs": "<string> (e.g. 1746736509954)",
"organizationId": "<string> (Your Organization ID)",
"parameters": {
"invitations": [
{
"receiverUserName": "<string>",
"receiverUserEmail": "<string>",
"receiverUserTags": [
"<string>"
],
"accessType": "<ACCESS_TYPE_WEB>",
"senderUserId": "<string>"
}
]
}
}'
{
"activity": {
"id": "<activity-id>",
"status": "ACTIVITY_STATUS_COMPLETED",
"type": "ACTIVITY_TYPE_CREATE_INVITATIONS",
"organizationId": "<organization-id>",
"timestampMs": "<timestamp> (e.g. 1746736509954)",
"result": {
"activity": {
"id": "<string>",
"organizationId": "<string>",
"status": "<string>",
"type": "<string>",
"intent": {
"createInvitationsIntent": {
"invitations": [
{
"receiverUserName": "<string>",
"receiverUserEmail": "<string>",
"receiverUserTags": [
"<string>"
],
"accessType": "<ACCESS_TYPE_WEB>",
"senderUserId": "<string>"
}
]
}
},
"result": {
"createInvitationsResult": {
"invitationIds": [
"<string>"
]
}
},
"votes": "<array>",
"fingerprint": "<string>",
"canApprove": "<boolean>",
"canReject": "<boolean>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}
}